List cost policies
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/pricing/cost-policies \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/pricing/cost-policies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/pricing/cost-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "celcoin-retail-costs",
"description": "Cost structure for Celcoin retail transactions",
"is_active": true,
"mcc": "5411",
"provider": "CELCOIN",
"cashout_price": 300,
"automatic_anticipation_percentage": 2.4999,
"spot_anticipation_percentage": 2.4999,
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794",
"rules": [
{
"conditions": [
{
"field": "transaction.card_data.brand",
"operator": "EQUALS",
"value": "CREDIT_CARD"
}
],
"price": {
"percentage": 2.5,
"flat": 50,
"minimum_price": 100
},
"priority": 1,
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cappta_plan_config": {
"id": "<string>",
"d_plus_one_anticipation_plan_id": "<string>",
"spot_anticipation_plan_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"gateway_mode": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {
"industry": "retail",
"tier": "premium"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Pricing
List cost policies
Requires the cost_policy.list permission.
Get a list of cost policies with optional filters and pagination
GET
/
v1
/
pricing
/
cost-policies
List cost policies
Authorizations
Company API key for authentication
Query Parameters
Filter by cost policy name
Filter by active status
Filter by cost policy ID
Filter by MCC (4 digits)
Pattern:
^\d{4}$Filter by provider name (accepts lowercase and uppercase, returns uppercase)
Available options:
CELCOIN, RINNE, CAPPTA Page number
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100⌘I

